Outpost logoOutpost Docs
API ReferenceCampaigns

Get details for a specific campaign

GET
/v1/campaigns/{campaignId}

Get details for a specific campaign including stats

x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Path Parameters

campaignId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/campaigns/string"
{  "campaignId": "string",  "tenantId": "string",  "projectId": "string",  "name": "string",  "description": "string",  "status": "active",  "startedAt": 0,  "completedAt": 0,  "lastMessageAt": 0,  "createdAt": 0,  "updatedAt": 0,  "stats": {    "smsCount": 0,    "smsCost": 0,    "smsDeliveredCount": 0,    "smsFailedCount": 0,    "smsBlockedCount": 0  }}